import { SearchParams } from "@/app/utils/fetchUtil";
import { TypeEnum } from "@/app/utils/typeEnum";
import CreateEquipmentType from "@/components/CreateEquipment";
import { I18nProvider, getServerI18n } from "@/i18n";
import { Typography } from "@mui/material";
import isString from "lodash/isString";
import { notFound } from "next/navigation";

type Props = {} & SearchParams;

const productSetting: React.FC<Props> = async ({ searchParams }) => {
  const type = "equipment";
  const { t } = await getServerI18n(type, "navigation", "common");
  const id = isString(searchParams["id"])
    ? parseInt(searchParams["id"])
    : undefined;
  if (!id) {
    notFound();
  }
  return (
    <>
      {/* <Typography variant="h4">{t("Create Material")}</Typography> */}
      <I18nProvider namespaces={[type, "navigation", "common"]}>
        <CreateEquipmentType id={id} />
      </I18nProvider>
    </>
  );
};
export default productSetting;
